### Method

# Gegl MetadataStore has_value

#### Declaration [src]

    gboolean
    gegl_metadata_store_has_value (
      GeglMetadataStore* self,
      const gchar* name
    )

#### Description [src]

Test whether the `GeglMetadataStore` contains a value for the specified name.

#### Parameters

`name`

  Type: `const gchar*`

  Metadata name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if metadata is declared and contains a valid value.